
/* ieee1284.c */
int ieee1284_writebyte(unsigned char b);
int ieee1284_ftor(void);
int ieee1284_readbyte(unsigned char *i);
int ieee1284_rtof(void);
int ieee1284_term(void);
int yepp_wakeupandping(void);
int yepp_phase1(void);
int yepp_phase2(void);
int yepp_phase3(void);
void yepp_phase4(void);
void yepp_release(void);
int yepp_read(char *buf, int i);
int yepp_write(char *buf, int i);
int ieee1284_init(int port);
/* util.c */
void moan(char *fmt, ...);
/* yepplib.c */
void yepp_dir_free(struct yepp_dirent *ptr);
int yepp_bytes_to_blocks(int bytes);
int yepp_blocks_to_bytes(int blocks);
void do_progress(char *fname, int writ, int size, int i, int blocks, struct timeval *start);
int yepp_put(int where, int type, char *name, FILE *file);
int yepp_hifi_put(int where, int type, char *name, CFH h);
int yepp_get(int index, FILE *f);
struct yepp_dirent *yepp_dir(void);
struct yepp_status *yepp_status(void);
int yepp_erase(int f);
int yepp_format(int where);
int yepp_get_config(char *p1, unsigned char *order);
int yepp_ping(void);
int yepp_put_config(int where, int type, char *name, char *buf, int len);
int yepp_put_encode(int where, int type, char *name, FILE *file);
int yepp_put_decode(int where, int type, char *name, FILE *file);
int yepp_put_serial(int where, int type, char *name, FILE *file);
int yepp_op_32(void);
int yepp_op_33(void);
char *yepp_getorder(void);
char *yepp_getnamebyindex(int index);
int yepp_putorder(unsigned char *order);
int yepp_init(int port);
/* yepp.c */
void usage(char *name);
void dir(void);
void status(void);
void order(void);
void do_setorder(char **list, int n);
int do_erase(char *which);
int do_download(char *which);
int do_upload(int where, char *fname, char *ftype);
void do_erase_all(void);
int do_random_size(Files files, Eweid e, int i, struct yepp_dirent *yd);
int do_random_worker(int where, Files files, Eweid e, char *text, int i);
int do_random(Files files, int where, Eweid e, struct yepp_status *ys, struct yepp_dirent *yd);
int main(int argc, char **argv);
